/*  */
function load_div_ext(path, sval, mode, ditem, table, act, dform, ddiv, mutp) {
	switch (mutp) {
		case 'R': mdir = 'manage'; break;
		case 'B':
		default: mdir = 'modules'; break;
	}
	var url = path+mdir+'/'+mode+'/'+table+'.php?sid='+sval+'&parent='+EncodeURLutf8(path)+'&mode='+mode+'&ditem='+ditem+'&table='+table+'&act='+act+'&mutp='+mutp;
	url += '&stext='+$(dform+' #edit_'+ditem).val();
	var djson = (fromid_output_json(dform,'name')).replace(/'/g, "''");
	var verlen = djson.length;
	url += '&verlen='+verlen.toString();
	//console.log(url);
	//$(ddiv).html(url);
	$.ajax({
		type: 'post',
		url: url,
		data: 'htmljson='+EncodeURLutf8(djson),
		beforeSend: function(){
			// 開始前執行 
		},
		success: function(data){
			// 成功後執行 
			// console.log(data);
			$(dform+" "+ddiv).empty();
			$(dform+" "+ddiv).html(data);
		},
		error: function(data){
			// 失敗後執行 
			console.log(data);
		},
		complete: function(data){
			// 完成後執行 
			// console.log(data);
		}
	});
}